/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _LOCATION_HERE_USERCONSENT_H_
#define _LOCATION_HERE_USERCONSENT_H_

#include "here_utils.h"

HERE_PLUGIN_BEGIN_NAMESPACE

using namespace HERE_MAPS_NAMESPACE_PREFIX;

class HereUserConsent
{
public:
	/**
	 *This is the default constructor for UserConsent.
	 */

	HereUserConsent(const char *provider, void *pCbFunc, void *pUserData);

	/**
	 *This is the default destructor for UserConsent.
	 */

	~HereUserConsent();

	static here_error_e GetUserConsent(bool *consent);
	static here_error_e SetUserConsent(bool consent);

	here_error_e RequestUserConsent();

	bool isSetVconfCb;
	const char *m_provider;	//provider
	void *m_pCbFunc;			//callback function
	void *m_pUserData;		//user data

private:

};

HERE_PLUGIN_END_NAMESPACE

#endif //_LOCATION_HERE_USERCONSENT_H_