Name:       maps-plugin-here
Summary:    Tizen HERE Maps Plug-in Library
Version:    0.4.2
Release:    1
Group:      Location/Libraries
License:    Apache-2.0 and HERE
Source0:    %{name}-%{version}.tar.gz
ExclusiveArch:  %ix86 x86_64 %arm aarch64

BuildRequires: cmake
# for here plugin
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(capi-maps-service)
BuildRequires: capi-maps-service-plugin-devel
BuildRequires: pkgconfig(capi-network-connection)
BuildRequires: pkgconfig(capi-appfw-app-manager)
BuildRequires: pkgconfig(capi-appfw-application)
BuildRequires: pkgconfig(capi-system-info)
BuildRequires: pkgconfig(efl-extension)
BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(vconf)
BuildRequires: pkgconfig(appcore-efl)
BuildRequires: pkgconfig(ecore)
BuildRequires: pkgconfig(evas)
BuildRequires: pkgconfig(edje)
BuildRequires: gettext-tools
BuildRequires: edje-bin
# for here engine
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(json-c)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(cairo)
BuildRequires: boost-devel
BuildRequires: capi-maps-service-devel
BuildRequires: elementary-devel
BuildRequires: pkgconfig(ecore-evas)
#
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%ifarch %arm
%define ARCH armv7l
%endif

%ifarch aarch64
%define ARCH aarch64
%endif

%ifarch %ix86
%define ARCH i586
%endif

%ifarch x86_64
%define ARCH x86_64
%endif

%description
This package provides Plugin APIs capsulating HERE Maps Engine Library for Maps Service Library.

%prep
%setup -q

%build

MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix} -DMAJORVER=${MAJORVER} -DFULLVER=%{version} -DLIBDIR=%{_libdir} -DARCH=%{ARCH} -DSYSCONF_DIR=%{_sysconfdir}
make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install

cp -a lib/%{ARCH}/libheremaps-engine.so* %{buildroot}%{_libdir}/

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%manifest maps-plugin-here.manifest
%license LICENSE
%defattr(-,root,root,-)
%{_libdir}/maps/plugins/libmaps-plugin-here.so*
%{_libdir}/libheremaps-engine.so*


%package -n org.tizen.heremaps-uc
Summary:    HereMaps UC popup
Requires:   %{name} = %{version}-%{release}

%description -n org.tizen.heremaps-uc
This package provides UI interface to get consents from users to the HERE platform Service.

%files -n org.tizen.heremaps-uc
%manifest heremaps-uc/org.tizen.heremaps-uc.manifest
%license LICENSE
%defattr(-,root,root,-)
/usr/apps/org.tizen.heremaps-uc/bin/*
/usr/apps/org.tizen.heremaps-uc/res/locale
/usr/apps/org.tizen.heremaps-uc/res/edje/*.edj
/usr/share/packages/org.tizen.heremaps-uc.xml


%package -n heremaps-uc-launcher
Summary:    HereMpas-UC Launcher deamon
Requires:   %{name} = %{version}-%{release}

%description -n heremaps-uc-launcher
This package is for launching the org.tizen.heremaps-uc application.

%files -n heremaps-uc-launcher
%manifest heremaps-uc-launcher/heremaps-uc-launcher.manifest
%license LICENSE
%defattr(-,root,root,-)
/usr/bin/heremaps-uc-launcher
/usr/share/dbus-1/services/org.tizen.lbs.Providers.HereMapsUCLauncher.service
%config %{_sysconfdir}/dbus-1/session.d/heremaps-uc-launcher.conf
